# Learn more about services, parameters and containers at
# http://symfony.com/doc/current/book/service_container.html
parameters:
#    parameter_name: value

services:
#    service_name:
#        class: AppBundle\Directory\ClassName
#        arguments: ["@another_service_name", "plain_value", "%parameter_name%"]
    kernel.listener.acme_foo_exception_listener:
        class: AppBundle\Listener\ExceptionListener
        arguments: [@templating, @kernel]
        tags:
             - { name: kernel.event_listener, event: kernel.exception, method: onKernelException }
    usermanagement.session.listener:
        class: UserManagementBundle\Listener\SessionListener
        arguments: ['@security.context', '@service_container', '@router']
        tags:
            - { name: kernel.event_listener, event: kernel.request, method: onKernelRequest }
    fos_user.security.login_manager:
        class: UserManagementBundle\Security\LoginManager
        arguments: ['@security.context', '@security.user_checker', '@security.authentication.session_strategy', '@service_container', '@doctrine']
    login_listener:
        class: UserManagementBundle\Listener\LoginListener
        arguments: ['@security.context', '@doctrine', '@service_container', '@router']
        tags:
            - { name: kernel.event_listener, event: security.interactive_login, method: onSecurityInteractiveLogin }
    fos_user.doctrine_registry:
        alias: doctrine